import { Client, GatewayIntentBits, Partials } from "discord.js";

export default class Ramirez {
    private readonly c: Client;
    private token: string | undefined;

    constructor(token?: string) {
        this.c = new Client({
            intents: [GatewayIntentBits.DirectMessages, GatewayIntentBits.MessageContent, GatewayIntentBits.GuildMessages, GatewayIntentBits.GuildPresences],
            partials: [Partials.GuildMember, Partials.Message, Partials.User, Partials.Channel],
        });
        this.token = token;
    }

    public get client() {
        return this.c;
    }
}
