import Ramirez from "./Ramirez";
import { promises as fs } from "fs";


async function main() {
    const parsed : { val?: string } = JSON.parse(await fs.readFile("./token.json", "utf8"));
    const ramirez = new Ramirez();
    await ramirez.client.login(parsed.val);

    ramirez.client.once("ready", () => {
        console.log("Handler is ready.")
        ramirez.client.user?.setStatus("idle");
    });
    ramirez.client.on("messageCreate", message => {
        if (message.author.bot) return;
        if (message.channel.type == 1) {
            message.reply("Hi, thanks for reaching out. Unfortunately, Management has decided to retire this modmailbot as of 2024-01-23 @ 21:33 and this service is no longer available. We are proceeding with this change in order to simplify our support process.\n\n-If you need help with Cloud Services or need to speak to a Technician, please DM <@650944330789552128> instead.\n-If you need assistance from a Server Moderator immediately. please ping the <@&455972169449734144> role within the server.\n-Programming support is located in <#506970598631538708>.\n\nThank you for your understanding ++LOC Management");
        }
    });
}

main();
